JodaSerializers (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ext

## Class JodaSerializers

- java.lang.Object
- - org.codehaus.jackson.map.ext.JodaSerializers

- All Implemented Interfaces:
    Provider<Map.Entry<Class<?>,JsonSerializer<?>>>

      public class JodaSerializers
      extends Object
      implements Provider<Map.Entry<Class<?>,JsonSerializer<?>>>

  Provider for serializers that handle some basic data types for Joda date/time library.

  Since version 1.5, more types are supported. These types use slightly different approach to serialization than core date types: "timestamp" notation is implemented using JSON arrays, for improved readability.

  Since:
    1.4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JodaSerializers.DateMidnightSerializer`
    `static class` | `JodaSerializers.DateTimeSerializer`
    `protected static class` | `JodaSerializers.JodaSerializer<T>`
    `static class` | `JodaSerializers.LocalDateSerializer`
    `static class` | `JodaSerializers.LocalDateTimeSerializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JodaSerializers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Map.Entry<Class<?>,JsonSerializer<?>>>` | `provide()` Method used to request provider to provide entries it has

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JodaSerializers

          public JodaSerializers()

  - ### Method Detail

    - #### provide

          public Collection<Map.Entry<Class<?>,JsonSerializer<?>>> provide()

      Description copied from interface: `Provider`
      Method used to request provider to provide entries it has
      Specified by:
        `provide` in interface `Provider<Map.Entry<Class<?>,JsonSerializer<?>>>`